package de.thd.pms.service;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import de.thd.pms.model.Buchung;
import de.thd.pms.model.Zimmer;
import de.thd.pms.repository.ZimmerRepository;

@Service
public class ZimmerService {

	private static Logger log = LogManager.getLogger(ZimmerService.class);
	
	@Autowired
	private ZimmerRepository zimmerRepository;
	
	public Iterable<Zimmer> findAll() {
		return zimmerRepository.findAll();
	}
	
	public Zimmer findById(Long id) {
		return zimmerRepository.findById(id).get();
	}
	

}
